StatementType (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.cql
Enum StatementType

    java.lang.Object
      java.lang.Enum<StatementType>
          org.apache.cassandra.cql.StatementType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StatementType>

    public enum StatementType

extends java.lang.Enum<StatementType>

Enum Constant Summary
`ALTER_TABLE`
`BATCH`
`CREATE_COLUMNFAMILY`
`CREATE_INDEX`
`CREATE_KEYSPACE`
`DELETE`
`DROP_COLUMNFAMILY`
`DROP_INDEX`
`DROP_KEYSPACE`
`INSERT`
`SELECT`
`TRUNCATE`
`UPDATE`
`USE`

Field Summary
`static java.util.EnumSet<StatementType>` | `requiresKeyspace`

Method Summary
`static StatementType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StatementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SELECT

    public static final StatementType SELECT

### INSERT

    public static final StatementType INSERT

### UPDATE

    public static final StatementType UPDATE

### BATCH

    public static final StatementType BATCH

### USE

    public static final StatementType USE

### TRUNCATE

    public static final StatementType TRUNCATE

### DELETE

    public static final StatementType DELETE

### CREATE_KEYSPACE

    public static final StatementType CREATE_KEYSPACE

### CREATE_COLUMNFAMILY

    public static final StatementType CREATE_COLUMNFAMILY

### CREATE_INDEX

    public static final StatementType CREATE_INDEX

### DROP_INDEX

    public static final StatementType DROP_INDEX

### DROP_KEYSPACE

    public static final StatementType DROP_KEYSPACE

### DROP_COLUMNFAMILY

    public static final StatementType DROP_COLUMNFAMILY

### ALTER_TABLE

    public static final StatementType ALTER_TABLE

Field Detail

### requiresKeyspace

    public static final java.util.EnumSet<StatementType> requiresKeyspace

Method Detail

### values

    public static StatementType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StatementType c : StatementType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StatementType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 The Apache Software Foundation